Subject: RE: (ngtrans) suggestion on draft-ietf-ngtrans-bgp-tunnel-01.txt

From: Francois Le Faucheur <[email-masked]>
Date: Fri, 11 May 2001 12:11:19 +0200

Hesham,

One clarification that should answer your question:
The section on MPLS will not discuss how to transport IPv6 natively in MPLS.
This is not a migration/coexistence situation and ,indeed, is not for NGTRANS
to specify.
What the section will discuss is a few specifics involved when IPv6 is
transported over an IPv4 backbone that happens to run MPLS. This is a
migration/coexistence situation because the backbone control plane is not IPv6
capable (eg. IGP is only IPv4 capable).

Cheers

Francois

At 00:05 29/04/2001 +0200, Hesham Soliman  (ERA) wrote:
>This might be a trivial question, but why does NGTRANS
>need to specify tunnelling of IPv6 in MPLS ?
>MPLS should be able to tunnel IPv6 anyway, although
>I'm not sure that CRLDP and RSVP-TE support IPv6.
>
>I guess my question is why is this a migration / coexistence
>problem ?
>
>Hesham
>
>> -----Original Message-----
>> From:        Francois Le Faucheur [SMTP:[email-masked]]
>> Sent:        Thursday, 26 April 2001 1:11
>> To:  [email-masked]; Jeremy De Clercq; [email-masked];
[email-masked]; [email-masked]
>> Cc:  [email-masked]; [email-masked]
>> Subject:     (ngtrans) suggestion on draft-ietf-ngtrans-bgp-tunnel-01.txt
>> 
>> Dirk,Jeremy,Gerard,Tri,Stuart,
>> 
>> As per my conversation with some of you, I would like to make a suggestion
>> on the draft :
>> 
>> My perception is that:
>>      - the technique described in bgp-tunnel draft can work with other
tunnels
>> than IPv4 tunnels (eg IPv4 tunnel, MPLS LSPs,..)
>>      - it is indeed useful/beneficial for implementors to also apply this
>> technique to other tunnels than IPv4 (eg MPLS LSPs)
>>      - the current draft recognises this, but as currently written, the
draft
>> is not quite completely independent of tunneling technology, because it
>> sort of implies IPv4 tunneling in a few places
>> 
>> So my suggestion would be to update the draft so that it is written in a
>> generic way and does not unnecessarily restrict tunneling techniques. To do
>> so, I would propose to:
>>      - (a) adjust "tunneling technique independent" text to remove
>> IP-v4-tunneling specifics 
>>      - (b) where some tunneling techniques require some specific details,
cover
>> those details in a "tunneling technique specific" section (b)
>> 
>> For instance, (a) would involve (probably not exhaustive list):
>>      -  in section 5: do not restrict SAFI to 1/2/3 only. eg. it would be
1/2/3
>> if tunneling is IPv4 but could be another value if tunneling is MPLS.
>>      - in section 6:  2nd paragraph. rather than "normal IPv4 do the
job", we
>> could have something like "non-secured tunnels (IPv4, MPLS LSPs) can do the
>> job..."
>>      - in section 8: clean up text to avoid statement like "The method in
this
>> draft could be extended to using LSPs instead of IP tunnels,..."
>> 
>> For instance, (b) would involve a few MPLS-specifics for the case of
>> tunneling over MPLS LSPs (eg. possibility to use two levels of label with
>> labels advertised in MP-BGP, SAFI=4 [TBC] in that case). This could go in a
>> new section or could be bundled with existing section 8.
>> 
>> 
>> What do you guys think about the principle of making the draft generic?
>> What do you think something like (a) and (b) are a good way to achieve
this?
>> 
>> Thanks for your views
>> 
>> Francois
>> 
>> PS: If you agree on this, I can propose specific draft text.
>> 
>> 
> 
PLEASE NOTE NEW CONTACT DETAILS - See below

_________________________________________________________________
Francois Le Faucheur   
Development Engineer, IOS Layer 3 Services 
Cisco Systems 
Office Phone:          +33 4 97 23 26 19
Mobile :               +33 6 89 108 159
Fax:                   +33 4 97 23 26 26
Email:                  [email-masked]
_________________________________________________________________
Cisco Systems Europe
Domaine Green Side
400, Avenue de Roumanille
Bâtiment T3
06 410   BIOT 
SOPHIA ANTIPOLIS
FRANCE
_________________________________________________________________